<?php
// PHP Data Objects Extension
try
{
  $pdo = new PDO('mysql:host=localhost;dbname=plantbas_pht_db', 'plantbas_pht_user', 'myP4ssw0rd');
  $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
  $pdo->exec('SET NAMES "utf8"');
}
catch (PDOException $e)
{
  $error = 'Unable to connect to the database server.';
  include ('../includes/error.html.php');
  exit();
}

try
{
    $sql = 'SELECT * FROM tours';
    $result = $pdo->query($sql);
}
catch (PDOException $e)
{
    $error = 'Error fetching contents: ' . $e->getMessage();
    include ('../includes/error.html.php');
    exit();
}

while ($row = $result->fetch())
{
        $tours[] = array(
        'title' => $row['title'],
        'description' => $row['description'],
        'duration' => $row['duration'],
        'transportation' => $row['transportation'],
        'food' => $row['food'],
        'price' => $row['price'],
        'image' => $row['image']
    );
}

include ('tours.html.php');

?>